Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 2)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 3)
@@ -8,93 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: flow_statistics.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.41  2006/08/04 14:37:50  raasch
 ! Error removed in non-parallel part (sums_l)
-!
-! Revision 1.40  2006/04/26 14:06:01  raasch
-! Call of omp_get_thread_num written as comment line. Since lcmuk does not
-! understand this comment, a cpp-directive is required.
-!
-! Revision 1.39  2006/04/26 12:19:16  raasch
-! OpenMP optimization, thread number added as third dimension of sums_l,
-! nzb_s_inner(j,i) replaced by nzb in determination of z_i
-!
-! Revision 1.38  2006/02/23 12:23:15  raasch
-! nzb and nzb_diff replaced by nzb_s_outer and nzb_diff_s_outer resrectively,
-! nanz_sums, nanz_2dh, nanz_3d renamed ngp_sums, ngp_2dh and ngp_3d,
-! respectively,
-! ngp_2dh and ngp_3d partially replaced by ngp_2dh_outer and ngp_3d_inner,
-! respectively
-!
-! Revision 1.37  2005/12/06 16:40:21  raasch
-! Calculation of ql (54) profile in case of using cloud droplets
-!
-! Revision 1.36  2005/04/23 09:10:27  raasch
-! +local array sums_ll instead of temporarily using sums_l
-!
-! Revision 1.35  2004/04/30 11:46:56  raasch
-! leap_frog changed to time_integration
-!
-! Revision 1.34  2003/05/09 14:25:12  raasch
-! Parameters in MPI_ALLREDUCE call changed
-!
-! Revision 1.33  2003/03/31 15:42:53  raasch
-! Calculation of horizontal temperature fluxes modified and cleaned up
-!
-! Revision 1.32  2003/03/16 09:39:07  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.31  2003/03/12 16:30:07  raasch
-! Calculation of perturbation and total energy of the total domain
-! re-arranged in order to allow vectorization of the respective loop
-!
-! Revision 1.30  2003/03/04 11:26:35  raasch
-! Error in calculation of the vertical flux of resolved scale energy
-! (profile 57) removed
-!
-! Revision 1.29  2002/12/19 14:50:02  raasch
-! STOP statement replaced by call of subroutine local_stop
-!
-! Revision 1.28  2002/04/16 08:04:19  raasch
-! Error in passive scalar profile (hom(..41..)) removed
-!
-! Revision 1.27  2002/04/11 16:31:03  schroeter
-! No changes.
-!
-! Revision 1.26  2001/09/04  12:00:12  12:00:12  raasch (Siegfried Raasch)
-! Calculation of the vertical flux of resolved scale energy and pressure
-! fluctuations
-! 
-! Revision 1.25  2001/08/21 08:32:24  raasch
-! Special calculation of surface fluxes whenever they are prescribed (not only
-! in case of a Prandtl layer), call of user_interface
-!
-! Revision 1.24  2001/03/30 07:23:34  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.23  2001/02/07 06:48:25  raasch
-! Error in non-parallel passive scalar code removed
-!
-! Revision 1.22  2001/01/29 12:25:02  raasch
-! Passive scalar is considered
-!
-! Revision 1.21  2001/01/22 06:49:27  raasch
-! Module test_variables removed
-!
-! Revision 1.20  2000/04/13 13:54:15  schroeter
-! + computation of new profiles for calculations with
-!   cloud_physics
-!
-! Revision 1.19  2000/01/26  09:32:58  09:32:58  letzel (Marcus Letzel)
-! All comments translated into English
-! 
-! Revision 1.16  1998/04/21 15:54:54  raasch
-! Berechnung von w* beruecksichtigt jetzt den Fall z_i=0,
-! Faktor 0.5 bei Energietransport hinzugefuegt
-!
-! Revision 1.6  1998/02/10 15:06:02  raasch
-! Berechnung des Gesamtwaermestroms, in aufgeloesten Waermestroemen wird das
-! horizontale Temperaturmittel nicht mehr abgezogen, Berechnung der
-! Gesamtimpulsfluesse
 !
 ! Revision 1.1  1997/08/11 06:15:17  raasch
Index: palm/trunk/SOURCE/global_min_max.f90
===================================================================
--- palm/trunk/SOURCE/global_min_max.f90	(revision 2)
+++ palm/trunk/SOURCE/global_min_max.f90	(revision 3)
@@ -9,37 +9,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: global_min_max.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.11  2003/04/16 12:56:58  raasch
 ! Index values of the extrema are limited to the range 0..nx, 0..ny
-!
-! Revision 1.10  2003/03/16 09:39:21  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.9  2003/03/14 13:42:50  raasch
-! IF clause extracted from loop which determines the absolut array maximum,
-! because otherwise it prevents vectorization of that loop
-!
-! Revision 1.8  2002/12/19 14:51:03  raasch
-! Speed optimization by removing MINVAL/MAXVAL calls and by handling
-! the "abs" case in a different way than the min/max cases,
-! translation of remaining variables
-!
-! Revision 1.7  2002/06/11 13:08:16  raasch
-! Last change limited to IBM since it does not work on 64-bit machines
-!
-! Revision 1.6  2002/05/02  18:50:36  18:50:36  raasch (Siegfried Raasch)
-! Type of fmax, fmax_l, fmin and fmin_l changed to REAL (KIND=4).
-! 
-! Revision 1.5  2001/01/22 06:51:02  raasch
-! Module test_variables removed
-!
-! Revision 1.4  2000/12/20 12:19:57  letzel
-! All comments translated into English.
-!
-! Revision 1.3  1998/07/06 12:14:37  raasch
-! + USE test_variables
-!
-! Revision 1.2  1997/08/11 06:16:54  raasch
-! Indices des ermittelten Minumums/Maximums werden an PEs gesendet
 !
 ! Revision 1.1  1997/07/24 11:14:03  raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 2)
+++ palm/trunk/SOURCE/header.f90	(revision 3)
@@ -8,130 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: header.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.63  2006/08/22 13:53:13  raasch
 ! Output of dz_max
-!
-! Revision 1.62  2006/08/04 14:38:41  raasch
-! Generation of the run description header as well as run date and run time
-! moved to routine check_parameters,
-! output for additional particle quantities
-!
-! Revision 1.61  2006/04/26 12:19:51  raasch
-! Output of threads per task
-!
-! Revision 1.60  2006/04/11 14:57:01  raasch
-! pl_spectra renamed data_output_sp
-!
-! Revision 1.59  2006/03/14 12:44:10  raasch
-! Output of the initial geostrophic wind profile corrected
-!
-! Revision 1.58  2006/02/23 12:24:22  raasch
-! Output of psl, psr, pdx, etc. for each particle group, output of e_min,
-! information about volume flow conservation and usage of NetCDF 64 bit offset
-! format, pl.. renamed do.., skip_time control parameters for do..,
-! ebene renamed section, .._anz renamed .._no, dt_average renamed
-! dt_averaging_input_pr
-! output of 2d/3d data averaging informations, buffer is forced to be written
-! on file at the end of the routine
-!
-! Revision 1.57  2005/10/20 14:06:44  raasch
-! Error in output of yz-slice information removed
-!
-! Revision 1.56  2005/07/01 07:48:14  steinfeld
-! Information on the initial profiles of ug and vg added;
-! dependency of ug and vg on height considered in the output of
-! the boundary conditions for u and v
-!
-! Revision 1.55  2005/06/26 19:53:15  raasch
-! gas_constant renamed r_d, latent_heat renamed l_v, radius is used instead
-! of diameter, output formats 335+337 changed
-!
-! Revision 1.54  2005/05/19 08:32:27  raasch
-! Error in output of particle inertia information removed
-!
-! Revision 1.53  2005/05/18 15:31:59  raasch
-! Informations about data output format (netcdf, iso2d, etc.) are given
-!
-! Revision 1.52  2005/04/23 09:16:10  raasch
-! fcl_factor renamed cfl_factor
-!
-! Revision 1.51  2005/03/26 20:23:14  raasch
-! Output of horizontal boundary conditions, output of additional call of
-! pressure solver in case of Runge-Kutta schemes,
-! calculate the number of particle groups (formerly unknown = 0 )
-!
-! Revision 1.50  2004/04/30 11:48:02  raasch
-! Forcing a 1d-decomposition is output on linux-cluster and decalpha,
-! output of subdomain sizes, impulse_advec renamed momentum_advec
-!
-! Revision 1.49  2004/01/28 15:09:15  raasch
-! Output of timestep schemes modified
-!
-! Revision 1.48  2003/10/29 08:52:04  raasch
-! Additional output for multigrid method (lowest levels gathered on PE0),
-! particle output modified for particle groups
-!
-! Revision 1.47  2003/04/16 12:58:18  raasch
-! Output for mixing length limitations revised
-!
-! Revision 1.46  2003/03/16 09:39:31  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.45  2003/03/14 13:43:21  raasch
-! Informations about random generator
-!
-! Revision 1.44  2003/03/12 16:31:45  raasch
-! Small change for NEC system
-!
-! Revision 1.43  2002/12/19 14:53:47  raasch
-! Informations about user defined restart times added
-!
-! Revision 1.42  2002/09/12 13:03:24  raasch
-! Informations about particle inertia added
-!
-! Revision 1.41  2002/06/11 13:09:11  raasch
-! Information about hybrid solver, usage of 1d-decomposition and fast version
-! of prognostic_equations included,
-! no output of mixing length adjustments in case of constant diffusion
-!
-! Revision 1.40  2002/04/16  08:06:13  08:06:13  raasch (Siegfried Raasch)
-! Informations about particle boundary conditions and output of particle
-! data added, direct output of informations about scalar transport (instead
-! of using humidity)
-! 
-! Revision 1.39  2001/08/21 08:50:54  raasch
-! Informations about mixing length adjustment, particle tails and dvrp PE usage
-! included
-!
-! Revision 1.38  2001/07/20 13:05:39  raasch
-! Information about multigrid method included
-!
-! Revision 1.37  2001/07/12 12:08:14  raasch
-! Additional informations about dvrp-output (host and filenames) and
-! particles (maximum age, random start positions), + module particle_attributes
-!
-! Revision 1.36  2001/03/30 07:23:53  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.35  2001/01/29 12:25:55  raasch
-! Informations about using passive scalar
-!
-! Revision 1.34  2001/01/25 07:00:48  raasch
-! Information about using surface fluxes and fft-method added
-!
-! Revision 1.33  2001/01/05 15:11:41  raasch
-! Spectra informations added. Old revision remarks deleted.
-!
-! Revision 1.32  2001/01/03 13:08:47  letzel
-! File output translated into English.
-!
-! Revision 1.31  2000/12/28 13:04:54  raasch
-! Slicer information added to dvrp-output.
-! Informations about optionally used packages are put in cpp-define-brackets.
-!
-! Revision 1.30  2000/04/27 07:08:14  raasch
-! notice if processor topology is predefined by user,
-! general notice about dvrp-output (including isosurface and particles),
-! all comments translated into English
 !
 ! Revision 1.1  1997/08/11 06:17:20  raasch
Index: palm/trunk/SOURCE/impact_of_latent_heat.f90
===================================================================
--- palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 2)
+++ palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 3)
@@ -8,19 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: impact_of_latent_heat.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.5  2004/01/30 10:25:59  raasch
 ! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.4  2003/03/12 16:32:14  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.3  2002/06/11 13:10:06  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.2  2001/01/22 06:52:34  raasch
-! Module test_variables removed
 !
 ! Revision 1.1  2000/04/13 14:48:40  schroeter
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 2)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 3)
@@ -8,63 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_1d_model.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.21  2006/06/02 15:19:57  raasch
 ! cpp-directives extended for lctit
 !
-! Revision 1.20  2006/04/20 13:16:24  letzel
-! Errors removed in the computation of the diabatic mixing length
-!
-! Revision 1.19  2006/03/14 12:48:52  raasch
-! Error in initializing l_black removed,
-! maximum possible timestep for runge schemes reduced, output for units 15 and
-! 17 is flushed
-!
-! Revision 1.18  2006/02/23 12:27:38  raasch
-! Switches for calculating the mixing length and the dissipation,
-! remaining e1d_m**1.5 replaced by e1d_m*SQRT(e1d_m),
-! nt_anz_1d renamed current_timestep_number_1d
-!
-! Revision 1.17  2005/06/29 09:58:25  steinfeld
-! A potential dependency of ug and vg on height is considered in the
-! tendency terms of u and v; calculation of lambda is commented out
-!
-! Revision 1.16  2005/04/23 09:22:04  raasch
-! Initial horizontal velocities at the lowest grid levels are set to a very
-! small value in order to avoid too small time steps caused by the diffusion
-! criterion
-!
-! Revision 1.15  2005/03/26 20:27:33  raasch
-! Output format of timestep changed, e1d_m**1.5 replaced by e1d_m*SQRT(e1d_m)
-! because of wrong results on NEC-SX6
-!
-! Revision 1.14  2004/04/30 11:55:02  raasch
-! Runge-Kutta scheme implemented, routine leap_frog_1d renamed to
-! time_integration_1d
-!
-! Revision 1.13  2001/03/30 07:24:10  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.12  2001/01/29 12:26:57  raasch
-! Passive scalar is considered
-!
-! Revision 1.11  2001/01/22 06:54:13  raasch
-! Module test_variables removed
-!
-! Revision 1.10  2001/01/02 17:28:35  raasch
-! Adjustment of computations of energy dissipation, mixing length and
-! eddy diffusivities to methods used in the 3D-model:
-! cm changed from 0.4 to 0.1, grid dependend mixing length instead of
-! Blackadar mixing length is used, Deardorff modification of mxixing length
-! when stratification is stable
-!
-! Revision 1.9  2000/12/21 14:16:15  letzel
-! All comments translated into English.
-!
-! Revision 1.8  2000/04/13 13:23:47  schroeter
-! + 1D-Modell an Rechnungen mit Feuchte angepasst
-!
-! Revision 1.7  2000/03/14  12:56:02  12:56:02  schroeter (Michael Schroeter)
-! Asselin-filter is called before swapping timelevels
-! 
 ! Revision 1.1  1998/03/09 16:22:10  raasch
 ! Initial revision
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 2)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 3)
@@ -11,128 +11,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_3d_model.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.49  2006/08/22 15:59:07  raasch
 ! No optimization of this file on the ibmy (Yonsei Univ.)
-!
-! Revision 1.48  2006/08/22 13:58:30  raasch
-! Initialisation of all tendency arrays (t.._m) needed for the Runge-Kutta
-! schemes
-!
-! Revision 1.47  2006/08/04 14:39:20  raasch
-! Allocation of diss, needed for calculating the sgs particle velocities
-!
-! Revision 1.46  2006/05/15 08:14:56  letzel
-! Initialize volume_flow_initial_l and volume_flow_area_l with 0.0
-!
-! Revision 1.45  2006/04/26 13:32:44  raasch
-! Provisional correction for Piacsek & Williams advection scheme: keep u and
-! v zero one layer below the topography (in case of set_1d-model_profiles).
-!
-! Revision 1.44  2006/04/26 12:22:09  raasch
-! sums_l and sums_l_l changed to three dimensions
-!
-! Revision 1.43  2006/02/23 12:29:11  raasch
-! Allocation and default setting of k index arrays nzb_2d and nzb_diff_2d
-! moved to routine init_grid, nanz_sums, nanz_2dh and nanz_3d renamed ngp_sums,
-! ngp_2dh and ngp_3d, respectively,
-! allocation and setting of ngp_2dh and ngp_3d moved from parin and init_pegrid
-! to here,
-! read_fields_from_prior_run renamed read_restart_data,
-! new grid point counters ngp_2dh_outer and ngp_3d_inner are calculated,
-! additional argument nzb_.._inner added to call of disturb_field
-! optional calculation of the initial volume flow through the right and north
-! boundary
-!
-! Revision 1.42  2005/06/26 19:55:01  raasch
-! ql is now a pointer, init_cloud_physics is called anyway
-!
-! Revision 1.41  2005/03/26 20:29:41  raasch
-! Arguments for non-cyclic boundary conditions added in call of routine
-! disturb_field, diffusivities km_damp_x and km_damp_y used within the outflow
-! damping layer are allocated and initialized, uvmean_outflow is allocated
-!
-! Revision 1.40  2004/04/30 11:59:05  raasch
-! Reading of restart data is moved to new routine read_3d_binary,
-! diffusion quantity arrays are allocated for previous timelevels only
-! in case of leapfrog scheme, enlarged transposition array d
-!
-! Revision 1.39  2004/01/30 10:27:20  raasch
-! Allocation and default setting of index arrays nzb_2d and nzb_diff_2d
-!
-! Revision 1.38  2004/01/28 15:09:56  raasch
-! Time levels for Runge-Kutta scheme initialized, setting of bt before
-! calling pres removed
-!
-! Revision 1.37  2003/10/29 08:54:05  raasch
-! Random numbers are initialized or random seed is read from file of
-! previous run, module random_function_mod is used, new binary version 2.2
-!
-! Revision 1.36  2003/08/01 08:25:08  raasch
-! Array sums is initialized (must be defined in the first call of pres),
-! call of init_cloud_physics moved before init_particles
-!
-! Revision 1.35  2003/04/09 11:50:50  raasch
-! In case of initialisation with constant profiles, the horizontal
-! velocities at k=0,1 are explicitly set to zero
-!
-! Revision 1.34  2003/03/16 09:39:39  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.33  2002/12/19 15:32:42  raasch
-! Subroutine local_tremain_ini (initializing the remaining cpu-time)
-! moved to main program (palm), reading of array hom is moved to routine
-! read_var_list, STOP statement replaced by call of subroutine local_stop
-!
-! Revision 1.32  2002/05/02 18:51:11  raasch
-! Time level t+dt re-introduced and initialized
-!
-! Revision 1.31  2001/11/05  09:31:38  09:31:38  weinbrec (Sonja Weinbrecht)
-! Initialization of spectrum_x and spectrum_y for continuation runs
-! 
-! Revision 1.30  2001/03/30 07:25:25  raasch
-! Arguments removed from pres, arrays work and work1 removed,
-! initialization of timelevel t+dt removed,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.29  2001/01/29 12:27:49  raasch
-! Passive scalar is considered
-!
-! Revision 1.28  2001/01/25 07:02:19  raasch
-! Initialization of surface fluxes changed due to new variable
-! use_surface_fluxes
-!
-! Revision 1.27  2001/01/05 15:12:23  raasch
-! Allocate spectrum_x and spectrum_y, new binary version 2.1
-!
-! Revision 1.26  2001/01/02 17:29:43  raasch
-! Unit 13 closed after reading binary input (after call of user_init, where
-! read from unit 13 may occur)
-!
-! Revision 1.25  2000/12/28 13:05:53  raasch
-! Init_particles is called unconditionally
-!
-! Revision 1.24  2000/04/27 07:05:19  raasch
-! Call of subroutine init_slope added to compute the initial temperature field
-! and other constants used in case of a sloping surface,
-! call of subroutine init_dvrp added to initialize dvrp-software,
-! old revision remarks deleted
-!
-! Revision 1.23  2000/04/13 13:22:09  schroeter
-! Allokieren und Initialisierung der Feuchtefelder und Wolkenphysikparameter
-!
-! Revision 1.22  2000/01/26  10:30:49  10:30:49  letzel (Marcus Letzel)
-! All comments translated into English
-! 
-! Revision 1.21  2000/01/10 09:54:10  raasch
-! Trennung der zeitabhaengigen Variablen in pointer und targets,
-! Anfangszuordnung der pointer
-!
-! Revision 1.17  1999/03/03 07:22:35  raasch
-! Beim binaeren Einlesen werden alle Variablen mit exakter Laenge von Datei
-! gelesen, da sich bei schneller I/O Records nicht einfach ueberspringen lassen
-!
-! Revision 1.14  1998/12/15 07:33:50  raasch
-! Zusaetzliche Ermittelung der tatsaechlichen Einlesezeiten auf T3E
-! mit messpunkt_e(14) unter Verwendung von TIMEF (s. cpu_zeitmessung)
 !
 ! Revision 1.1  1998/03/09 16:22:22  raasch
Index: palm/trunk/SOURCE/init_advec.f90
===================================================================
--- palm/trunk/SOURCE/init_advec.f90	(revision 2)
+++ palm/trunk/SOURCE/init_advec.f90	(revision 3)
@@ -8,20 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_advec.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.6  2004/04/30 11:59:31  raasch
 ! impulse_advec renamed momentum_advec
-!
-! Revision 1.5  2001/03/30 07:25:53  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.4  2001/01/22 06:57:43  raasch
-! Module test_variables removed
-!
-! Revision 1.3  2000/12/21 16:12:52  letzel
-! All comments translated into English.
-!
-! Revision 1.2  1999/02/17 09:18:45  raasch
-! Fehlerkorrektur, Verfahren muessen unabhaengig voneinander initialisierbar
-! sein
 !
 ! Revision 1.1  1999/02/05 09:07:38  raasch
Index: palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- palm/trunk/SOURCE/init_cloud_physics.f90	(revision 2)
+++ palm/trunk/SOURCE/init_cloud_physics.f90	(revision 3)
@@ -8,19 +8,10 @@
 ! Former revisions:
 ! ------------------
-! $Log: init_cloud_physics.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.5  2005/06/26 19:55:58  raasch
 ! Initialization of cloud droplet constants, gas_constant renamed r_d,
 ! latent_heat renamed l_v
-!
-! Revision 1.4  2001/03/30 07:26:30  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.),
-! surface_pressure keeps unit hPa and is not converted to Pa
-!
-! Revision 1.3  2001/01/25 07:03:10  raasch
-! Module test_variables removed
-!
-! Revision 1.2  2001/01/22 09:16:57  schroeter
-! To calculate verticle pressure profile use actual surface-temperature in
-! place of potential temperature as reference value.
 !
 ! Revision 1.1  2000/04/13 14:37:22  schroeter
Index: palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/init_dvrp.f90	(revision 2)
+++ palm/trunk/SOURCE/init_dvrp.f90	(revision 3)
@@ -4,5 +4,4 @@
 ! Actual revisions:
 ! ----------------- 
-! 
 ! Test output of isosurface on camera file
 ! TEST: print* statements
@@ -11,43 +10,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_dvrp.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.12  2006/02/23 12:30:22  raasch
 ! ebene renamed section, pl.. replaced by do..,
-!
-! Revision 1.11  2005/03/31 07:01:20  raasch
-! Test version with print statements checked in
-!
-! Revision 1.10  2003/08/01 08:36:28  raasch
-! Module dvrp added to routine close_dvrp, set the maximum time the program
-! can be suspended on user request, every steering variable is defined for
-! every stream
-!
-! Revision 1.9  2003/03/16 09:39:44  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.8  2003/03/04 11:28:53  raasch
-! Update for new version of dvrp software (e.g. using module dvrp is now
-! mandatory). Initialization of dvrp steering variables included.
-!
-! Revision 1.7  2002/12/19 15:37:57  raasch
-! STOP statement replaced by call of subroutine local_stop
-!
-! Revision 1.6  2001/08/21 09:45:54  raasch
-! Superelevation implemented, additional PE can be used for handling the
-! dvrp output (see init_dvrp_logging and close_dvrp)
-!
-! Revision 1.5  2001/07/12 12:10:16  raasch
-! Adjustment of camera position, output of boundingbox moved from the scene
-! files to camera.dvr, destination for dvrp_output is now controlled via
-! parameters given in the parameter file.
-!
-! Revision 1.4  2001/03/30 07:31:03  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.3  2001/01/25 07:04:23  raasch
-! Subroutines init_dvrp_logging and close_dvrp attached.
-!
-! Revision 1.2  2000/12/28 13:11:43  raasch
-! Complete revision due to new features of dvrp-software
 !
 ! Revision 1.1  2000/04/27 06:24:39  raasch
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 2)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 3)
@@ -8,59 +8,11 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_grid.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.17  2006/08/22 14:00:05  raasch
 ! +dz_max to limit vertical stretching,
 ! bugfix in index array initialization for line- or point-like topography
 ! structures
-!
-! Revision 1.16  2006/03/03 14:28:31  letzel
-! call of user_init_grid now requires the actual parameter nzb_local
-!
-! Revision 1.15  2006/02/24 16:05:59  raasch
-! Error removed: l_wall modification (multiplication with wall adjustment
-! factor and ghost point exchange) must be taken out of the if-clause (see end
-! of this routine)
-!
-! Revision 1.14  2006/02/23 12:30:59  raasch
-! Definition of index and wall arrays describing topography
-!
-! Revision 1.13  2002/12/19 15:38:38  raasch
-! Calculation of dl_grid removed, STOP statement replaced by call of subroutine
-! local_stop
-!
-! Revision 1.12  2001/07/20 13:06:33  raasch
-! +dzu_mg, dzw_mg, f1_mg, f2_mg, f3_mg
-!
-! Revision 1.11  2001/03/30 07:31:20  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.10  2001/01/22 19:35:19  letzel
-! All comments translated into English.
-!
-! Revision 1.9  2001/01/22 07:06:16  raasch
-! Module test_variables removed
-!
-! Revision 1.8  1999/02/05 09:08:32  raasch
-! Erweiterung von dzw um einen Gitterpunkt nach oben fuer Upstream-Spline-
-! Verfahren
-!
-! Revision 1.7  1998/07/06 12:16:43  raasch
-! + USE test_variables
-!
-! Revision 1.6  1998/03/18 20:13:16  raasch
-! dz wird unveraendert gelassen (hatte bisher den Wert der groessten,
-! gestreckten) Gitterweite
-!
-! Revision 1.5  1997/09/19 07:43:27  raasch
-! +dd2zu, dl_grid, l_grid
-!
-! Revision 1.4  1997/09/12 06:26:02  raasch
-! Kehrwerte der Gitterweitenquadrate werden berechnet
-!
-! Revision 1.3  1997/09/09 08:29:12  raasch
-! Kehrwerte der Gitterweiten werden berechnet
-!
-! Revision 1.2  1997/08/26 06:31:11  raasch
-! Berechnung der Vertikalniveaus und der Gitterweiten
 !
 ! Revision 1.1  1997/08/11 06:17:45  raasch
Index: palm/trunk/SOURCE/init_particles.f90
===================================================================
--- palm/trunk/SOURCE/init_particles.f90	(revision 2)
+++ palm/trunk/SOURCE/init_particles.f90	(revision 3)
@@ -8,101 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_particles.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.24  2007/02/11 13:00:17  raasch
 ! Bugfix: allocation of tail_mask and new_tail_id in case of restart-runs
 ! Bugfix: __ was missing in a cpp-directive
-!
-! Revision 1.23  2006/08/22 14:11:08  raasch
-! Default settings of particle start positions changed
-!
-! Revision 1.22  2006/08/04 14:44:58  raasch
-! New particles attributes initialized (e_m, dt_sum, speed_x/y/z_sgs),
-! total length of mpi_particle_type adjusted, more than one particle can be
-! released per point, izuf renamed iran, set a special seed value iran_part
-! to be used for the particle advection code, determination of particle group
-! number removed from header to here
-!
-! Revision 1.21  2006/03/14 12:55:24  raasch
-! Determination of the number of particle groups removed
-!
-! Revision 1.20  2006/02/23 12:34:00  raasch
-! Allocation of prt_start_index and prt_count + calling subroutine
-! sort_particles,
-! particle source parameters psl, psr, pss, psn, psb, pst, pdx, pdy, pdz are now
-! 1D arrays (1:max_number_of_particle_groups) and allow up to specify
-! max_number_of_particle_groups different sources by setting
-! number_of_particle_groups >= 1 even if density_ratio is not specified,
-! only a fraction of the particles may have tails, therefore input from unit 90
-! has changed,
-! 0.5 replaced by 0.4999999999 in setting the random fluctuations,
-! Defaults of psl, psr, pss, psn adjusted.
-! If the number of particle groups is set by the user, density_ratio is reset to
-! default.
-! In case of user-specified pdx, pdy, pdz = 0.0 reset them to defaults,
-! improve particle release at PE boundaries, nt_anz renamed
-! current_timestep_number
-!
-! Revision 1.19  2005/06/26 19:56:47  raasch
-! particle_groups%radius is used instead of diameter, particle%radius is
-! initialized, new initial informations about radius and weighting factor
-! stored on array particles, total length of mpi_particle_type adjusted
-!
-! Revision 1.18  2004/04/30 12:03:28  raasch
-! MPI data type for particles modified due to modification of FORTRAN particle
-! type
-!
-! Revision 1.17  2003/10/29 08:55:35  raasch
-! Module random_function_mod is used, version check of the binary file,
-! modifications for new particle group feature
-!
-! Revision 1.16  2003/03/16 09:39:51  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.15  2003/03/04 11:30:48  raasch
-! Displacement for integers in mpi_particle_type reduced from 16 to 8 on
-! ibm, since integers seem to be only 4 byte long. Accordingly, total length
-! reduced from 104 to 96.
-!
-! Revision 1.14  2002/12/19 15:39:48  raasch
-! STOP statement replaced by call of subroutine local_stop
-!
-! Revision 1.13  2002/09/12 13:04:13  raasch
-! Read density_ratio from restart file
-!
-! Revision 1.12  2002/04/16 08:08:34  raasch
-! New initial informations about speed components and start positions stored on
-! array particles. Check boundary conditions and read them from restart file.
-!
-! Revision 1.11  2001/11/12 16:06:06  raasch
-! Array particle_tail_coordinates extended to contain colour informations,
-! reading particle data from restart file can be prohibited
-!
-! Revision 1.9  2001/08/21 09:49:05  raasch
-! Particle tail is initialized
-!
-! Revision 1.8  2001/07/12 12:10:58  raasch
-! Particle sources (starting positions) are now controlled by parameters
-!
-! Revision 1.7  2001/03/30 07:31:37  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.6  2001/01/25 07:05:36  raasch
-! Writing of particle informations is optional now
-!
-! Revision 1.5  2001/01/22 07:16:17  raasch
-! Module test_particles removed
-!
-! Revision 1.4  2001/01/02 17:30:16  raasch
-! Opening of unit 80 moved to check_open. Unit 90 instead of 81 is used
-! for binary input.
-!
-! Revision 1.3  2000/12/28 13:15:58  raasch
-! Complete revision due to new features of dvrp-software,
-! all comments translated into English,
-! code is used only optionally (cpp-directives are added)
-!
-! Revision 1.2  2000/04/27 06:38:48  raasch
-! compute position of camera with new indepent routine vtk_camera and
-! store result on a separate file
 !
 ! Revision 1.1  1999/11/25 16:22:38  raasch
